
#![allow(dead_code)]

use cfg_if::cfg_if;

mod ext;
use ext::*;

mod metadata;
mod resolve;
mod database;

async fn begin() -> Result<i32, Box<dyn std::error::Error>>
{

    Ok(0)
}

#[tokio::main]
async fn main() {
    std::process::exit(match begin().await {
	Ok(0) => return,
	Err(err) => {
	    eprintln!("\nexited with error: {}", err);
	    1
	},
	Ok(v) => v
    })
}
